import { createElementBlock, openBlock, createElementVNode, toDisplayString, renderSlot } from "vue";
/* empty css                */
import _export_sfc from "../../../../../_virtual/_plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "fec-h2" };
const _hoisted_2 = { class: "fec-label" };
const _hoisted_3 = { class: "fec-label-title" };
const _hoisted_4 = { class: "fec-label-sub-title" };
const _hoisted_5 = { class: "fec-buttons" };
const _sfc_main = {
  __name: "H2Wrapper",
  props: {
    componentData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        _cache[0] || (_cache[0] = createElementVNode("div", { class: "fec-label-line" }, null, -1)),
        createElementVNode("div", _hoisted_2, [
          createElementVNode("div", _hoisted_3, toDisplayString(__props.componentData.label), 1),
          createElementVNode("div", _hoisted_4, toDisplayString(__props.componentData.subLabel), 1)
        ]),
        createElementVNode("div", _hoisted_5, [
          renderSlot(_ctx.$slots, "default", {}, void 0, true)
        ])
      ]);
    };
  }
};
const H2Wrapper = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-2078e9ec"]]);
export {
  H2Wrapper as default
};
